Page MenuHomePhabricator

upgrade: split actual upgrade code away from the main module
ClosedPublic

Authored by marmoute on Dec 1 2020, 9:27 AM.

Details

Summary

The main module is getting big and hard to follow. So we are splitting all the
logic to actually run an upgrade in a sub module. It nicely highlight that there
are very few actual call point to the code we just moved.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 1 2020, 9:27 AM
pulkit accepted this revision.Dec 4 2020, 1:38 PM
This revision is now accepted and ready to land.Dec 4 2020, 1:38 PM
pulkit added a comment.Dec 4 2020, 1:42 PM

This one fails to apply on top of few unrelated patches in my queue. Kindly rebase and resend.

pulkit requested changes to this revision.Dec 4 2020, 1:42 PM
This revision now requires changes to proceed.Dec 4 2020, 1:42 PM

They collide with your sharesafe patch, I have merged them successfully (according to the test). they will get automatically refresh from heptapod when the CI is done running.

baymax updated this revision to Diff 24031.Dec 4 2020, 6:47 PM
pulkit accepted this revision.Dec 6 2020, 6:03 AM
This revision is now accepted and ready to land.Dec 6 2020, 6:03 AM